[arch-commits] CVS update of extra/games/xgalaga++ (PKGBUILD)

Eric Belanger eric at archlinux.org
Wed Aug 8 00:41:18 EDT 2007


    Date: Wednesday, August 8, 2007 @ 00:41:18
  Author: eric
    Path: /home/cvs-extra/extra/games/xgalaga++

Modified: PKGBUILD (1.4 -> 1.5)

upgpkg: xgalaga++ 0.7-3
added x86_64 tag, fixed build issue


----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Index: extra/games/xgalaga++/PKGBUILD
diff -u extra/games/xgalaga++/PKGBUILD:1.4 extra/games/xgalaga++/PKGBUILD:1.5
--- extra/games/xgalaga++/PKGBUILD:1.4	Wed May 30 11:37:43 2007
+++ extra/games/xgalaga++/PKGBUILD	Wed Aug  8 00:41:18 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.4 2007/05/30 15:37:43 damir Exp $
+# $Id: PKGBUILD,v 1.5 2007/08/08 04:41:18 eric Exp $
 # Maintainer: damir <damir at archlinux.org>
 # TU: Ben <ben at benmazer.net>
 
@@ -6,17 +6,21 @@
 pkgver=0.7
 pkgrel=3
 pkgdesc="Enhanced version of xgalaga"
+arch=('i686' 'x86_64')
 url="http://home.infomaniak.ch/mongenet/Marc/OSS/XGalaga/"
-depends=('gcc' 'libxpm')
-arch=('i686')
 license=('GPL')
+depends=('gcc' 'libxpm')
 source=("http://home.infomaniak.ch/mongenet/Marc/OSS/XGalaga/debian/${pkgname}_${pkgver}.orig.tar.gz" \
         "$pkgname.png" \
         "$pkgname.desktop")
+md5sums=('3f79999966f4e46e89a8cae4fe4b6fba' 'd9c3197830194479d2c2ba6268dd15d1'\
+         '1c774859064eee098d5a6b1ae159cf8d')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
-  # patch -p0 < $startdir/Makefile.patch
+  # patch -p0 < $startdir/src/Makefile.patch
+  sed -i "s|#include <utility>|#include <utility>\n#include </usr/include/X11/Xlibint.h>|" posix_stream.cc || return 1
+  sed -i "s|std::min|min|" posix_stream.cc || return 1
   make CXX=g++ all || return 1
   mkdir -p $startdir/pkg/usr/bin/
   cp xgalaga++ $startdir/pkg/usr/bin
@@ -30,6 +34,3 @@
   $startdir/pkg/usr/share/pixmaps/$pkgname.png
 }
 
-md5sums=('3f79999966f4e46e89a8cae4fe4b6fba'
-         'd9c3197830194479d2c2ba6268dd15d1'
-         '1c774859064eee098d5a6b1ae159cf8d')




More information about the arch-commits mailing list